#include <msp430.h>
#include "DAC81416.h"
uint16_t device_id;
int main(void)
{
    //simple test to verify that the dac driver is working correctly
	WDTCTL = WDTPW | WDTHOLD;
	DAC81416_init();
	P1DIR |= BIT0;
	while(1)
	{
	    device_id = DAC81416_get_device_id();
	    if( DEVICE_ID_VAL == (device_id & DEVICE_ID_MSK ))
	    {
	        while(1)
	        {
	            P1OUT ^= BIT0; // toggle LED
	            __delay_cycles(100);
	        }
	    }
	    __delay_cycles(100);//retry to see waveform on oscilliscope
	}

	return 0;
}
